-- wychwytnik iskier
-- edycja i ulepszenia:Grzegorz056


wychwytnikiskier = {};

function wychwytnikiskier.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function wychwytnikiskier:load(xmlFile)

	self.wychwytnikiskier = {};	
	self.wychwytnikiskier.klapa = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.wychwytnikiskier#klapa"));
	self.wychwytnikiskier.maxRot = Utils.degToRad(Utils.getNoNil(getXMLFloat(xmlFile, "vehicle.wychwytnikiskier#maxRot"),0));
	self.wychwytnikiskier.maxRpm = self.motor:getMaxRpm();

	self.acmilan99 = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.acmilan99#index"));
	self.acmilan99Active = true;

	self.acmilan9 = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.acmilan9#index"));
	self.acmilan9Active = false;

	
end;

function wychwytnikiskier:delete()
end;

function wychwytnikiskier:mouseEvent(posX, posY, isDown, isUp, button)
end;

function wychwytnikiskier:keyEvent(unicode, sym, modifier, isDown)

end;

function wychwytnikiskier:update(dt)

	if self.isMotorStarted then
		if self.wychwytnikiskier.klapa ~= nil then
			local angle = math.rad(math.random(-20,5)) + self.wychwytnikiskier.maxRot * self.motor.lastMotorRpm / self.wychwytnikiskier.maxRpm;	
			angle = math.max(math.min(angle, 0), self.wychwytnikiskier.maxRot);		
			setRotation(self.wychwytnikiskier.klapa, 0,0,angle);
		end;
	end;
	if InputBinding.hasEvent(InputBinding.POKAZtur) then
		self.acmilan9Active = not self.acmilan9Active;
		self.acmilan99Active = not self.acmilan99Active;
	end;

		setVisibility(self.acmilan99, self.acmilan99Active);	
		setVisibility(self.acmilan9, self.acmilan9Active);
end;

function wychwytnikiskier:draw()
	if self.acmilan9Active then	
	    g_currentMission:addExtraPrintText(string.format("%s: Usun tur", InputBinding.getKeyNamesOfDigitalAction(InputBinding.POKAZtur)));
	    	else
	    g_currentMission:addExtraPrintText(string.format("%s: Pokaz tur", InputBinding.getKeyNamesOfDigitalAction(InputBinding.POKAZtur)));
	end;
end;

function wychwytnikiskier:startMotor()
end;

function wychwytnikiskier:stopMotor()
	if self.wychwytnikiskier.klapa ~= nil then
		setRotation(self.wychwytnikiskier.klapa, 0,0,0);
	end;
end;

function wychwytnikiskier:onLeave()
self.acmilan99sActive = true;
self.acmilan9sActive = false;
end;